/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: GoBack.java,v f8d448cb4cf2 2010/08/17 15:51:30 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.test.functional;

import javax.annotation.Nonnull;
import java.util.concurrent.Callable;
import android.test.ActivityInstrumentationTestCase2;
import com.jayway.android.robotium.solo.Solo;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class GoBack implements Callable<Void>
  {
    @Nonnull
    private final Solo solo;

    public GoBack (final @Nonnull ActivityInstrumentationTestCase2 instrumentationTestCase,
                   final @Nonnull Solo solo,
                   final @Nonnull Object ... capabilities)
      {
        this.solo = solo;
      }

    public Void call()
      throws InterruptedException
      {
        solo.goBack();
        solo.sleep(200);
        return null;
      }
  }
